Eclipse Platform Release 3.7

## org.eclipse.ui.views.properties
Class NewPropertySheetHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.ui.views.properties.NewPropertySheetHandler

All Implemented Interfaces:
  IHandler, IHandler2

    public class NewPropertySheetHandler

extends AbstractHandler

Since:
  3.4

Field Summary
`static String` `ID` Command id

Constructor Summary
`NewPropertySheetHandler()`

Method Summary
`Object` `execute(ExecutionEvent event)` First tries to find a suitable instance to reuse for the given context, then creates a new instance if necessary.
`protected PropertySheet` `findPropertySheet(ExecutionEvent event, PropertyShowInContext context)` Returns a PropertySheet instance
`protected PropertyShowInContext` `getShowInContext(ExecutionEvent event)`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  Command id

  See Also:
    Constant Field Values

Constructor Detail

### NewPropertySheetHandler

    public NewPropertySheetHandler()

Method Detail

### execute

    public Object execute(ExecutionEvent event)
                   throws ExecutionException

  First tries to find a suitable instance to reuse for the given context, then creates a new instance if necessary.

  Parameters:
    `event` -
  Returns:
    an instance for the given context
  Throws:
    `ExecutionException` - if an exception occurred during execution.
  See Also:
    `IHandler.execute(org.eclipse.core.commands.ExecutionEvent)`

### getShowInContext

    protected PropertyShowInContext getShowInContext(ExecutionEvent event)
                                              throws ExecutionException

  Parameters:
    `event` - `ExecutionEvent` for which the `PropertyShowInContext` is requested
  Returns:
    a `PropertyShowInContext` containing the the `ISelection` and `IWorkbenchPart` for the given `ExecutionEvent`
  Throws:
    `ExecutionException`

### findPropertySheet

    protected PropertySheet findPropertySheet(ExecutionEvent event,
                                              PropertyShowInContext context)
                                       throws PartInitException,
                                              ExecutionException

  Returns a PropertySheet instance

  Parameters:
    `event` -
    `context` - a `ShowInContext` to handle
  Returns:
    a PropertySheet that can handle the given `ShowInContext`
  Throws:
    `PartInitException`
    `ExecutionException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.